<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_bodega = $_POST["lstbodega"];	
$id_zona = $_POST["lstzona"];	
$id_vendedor = $_POST["lstvendedor"];
?>
<?
include("../../conex.php");
$cant = 1;
$flag=0;
$fecha_em=$txtfecha;
if ($txtivar=='') $txtivar=0;
if ($txtactividad=='') $txtactividad=null;
if ($txtemail=='') $txtemail=null;
if ($txtfono=='') $txtfono=null;
if ($txtfax=='') $txtfax=null;

		$sql_num_bol = $_POST["txtndcto"];
		/************************************************** sacar tipo dcto *********************************************/		
		$sql_dcto = "SELECT * FROM tipo_dcto WHERE descripcion = 'NOTA VENTA' AND empresa = $id_empresa";
		$res_dcto = mysql_query($sql_dcto,$enlace);
		$row=0;
		while (mysql_fetch_object ($res_dcto))
			{
			$id_tipo_dcto = mysql_result($res_dcto, $row, "id");
			$row=$row+1;
			}
		$sql_comprueba = "SELECT * FROM salida AS s, tipo_dcto AS td WHERE s.empresa = $id_empresa AND s.tipo_dcto = $id_tipo_dcto AND s.num_dcto = $sql_num_bol AND td.empresa = $id_empresa AND s.tipo_dcto = td.id";	
		//echo $sql_comprueba;
		$res_comprueba = mysql_query($sql_comprueba,$enlace);	
		$row_comprueba=0;
		while (mysql_fetch_object ($res_comprueba))
			{
			$row_comprueba +=1;
			}
			
if ($row_comprueba==0)
	{			


	/************************************************** verifica cliente *********************************************/		
	$sql_be = "SELECT * FROM nombres WHERE rut='$txtrut'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$emp_codigo=mysql_result($res_be, $row, "codigo");
		$row=$row+1;
		}
	if ($row==0)
		{
		$sql_ins = "INSERT INTO nombres (rut, razon_social, direccion, email, region, comuna, ciudad, fono1, fax, cliente, rubro_giro, id_zona, id_vendedor)
		VALUES ('$txtrut', '$txtrsoc', '$txtdireccion', '$txtemail', $lstreg, $lstcom, '$txtciudad', '$txtfono', '$txtfax', 'True', '$txtactividad', $id_zona, $id_vendedor)";
		mysql_query($sql_ins,$enlace);
		}
	else
		{
		$sql_upd = "UPDATE nombres SET rut='$txtrut', razon_social='$txtrsoc', direccion='$txtdireccion', email='$txtemail',
		ciudad='$txtciudad', comuna=$lstcom, region=$lstreg, rubro_giro='$txtactividad', fono1='$txtfono', fax='$txtfax', cliente = 'True', id_zona=$id_zona, id_vendedor = $id_vendedor WHERE codigo = $emp_codigo";
		mysql_query($sql_upd,$enlace);
		}
		
		
		
		
/******************************  Descuento en pesos *********************************************************************/
	$txttotal=$sql_total;
	$txtsubtotal = $_POST["sql_subtotal"];
	$cal_descuento=($txtsubtotal-$txttotal);
	$por_des=($cal_descuento*100)/$txtsubtotal;
/******************************  Total de productos *********************************************************************/
	
	$cant = "1";
	$ctot_prod=0;
	while ($cant<=$cnt)
		{
		if ($total[$cant]>0)
			{
			$ctot_prod+=1;
			}
		$cant=$cant+1;
		}
	
	/************************************************** sacar tipo dcto *********************************************/		
	$sql_dcto = "SELECT id, correlativo FROM tipo_dcto WHERE descripcion = 'NOTA VENTA' AND empresa = $id_empresa";
	$res_dcto = mysql_query($sql_dcto,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_dcto))
		{
		$id_tipo_dcto = mysql_result($res_dcto, 0, "id");
		$sql_num_bol = mysql_result($res_dcto,0 ,"correlativo");
		$sql_num_bol = $sql_num_bol + 1;
		$row=$row+1;
		}
	mysql_query("UPDATE tipo_dcto SET correlativo=$sql_num_bol WHERE id = $id_tipo_dcto",$enlace);
	
	/************************************************** sacar valor de iva ***********************************************/	
	$sql_par = "SELECT valor FROM parametros WHERE descripcion = 'IVA'";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$par_iva=mysql_result($res_par, $row, "valor");
		$row=$row+1;
		}
	

	/************************************************** insertar salida ***********************************************/
	$dia = substr ($txtfecha, 0, 2);
	$mes = substr ($txtfecha, 3, 2);
	$aņo = substr ($txtfecha, 6, 4); 
	$fecha_em = "$aņo-$mes-$dia";	
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, neto, iva, total, productos, usuario, bodega, vendedor, zona) 
	VALUES ($id_empresa, '$txtrut', $sql_num_bol, $id_tipo_dcto, '$fecha_em', $sql_neto, $sql_iva, $sql_total, 1, $id_user, $id_bodega, $id_vendedor, $id_zona)";
	$consulta = mysql_query($wsql,$enlace);
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	if ($txtvalser=='1'){
	$esql = "UPDATE seriado SET num_salida = $sultimo_id WHERE chassis = '$seriado[1]'";
	$consulta = mysql_query($esql,$enlace);
	}
?>



<table width="90%" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="25%"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="50%"><div align="center"><strong><font size="6">NOTA DE VENTA </font><font size="6"> NUMERO <?=$sql_num_bol?></font></strong></div></td>
    <td width="25%">&nbsp;</td>
  </tr>
</table>

<table width="90%" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#000000">
	<tr bgcolor="#000000"> 
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Cant.</font></strong></div></td>
		<td width="20%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">C&oacute;digo</font></strong></div></td>
		<td width="45%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Detalle</font></strong></div></td>
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Precio</font></strong></div></td>
		<td width="15%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Total $</font></strong></div></td>
    </tr>
<? 
$cant = "1";
$cnt_tot_prod=0;
$total_while=0;
while ($cant<=$cnt)
	{
	if ($total[$cant]>0)
		{
		$cnt_tot_prod+=1;
		if($cnt_tot_prod<$ctot_prod){
			$porcentaje_valor=100-$por_des;
			$totalw=(int)($total[$cant]*$porcentaje_valor/100);
			$total_while+=$totalw;
			$desporprod[$cant]=$total[$cant]-$totalw;
			}
		else{
			$totalw=$txttotal-$total_while;
			$desporprod[$cant]=$total[$cant]-$totalw;
			}
		$psql = "INSERT INTO movimiento (empresa, rut, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario, numero_dcto, tipo_dcto, descuentos, bodega, id_soe) 
		VALUES ($id_empresa, '$txtrut', 'S', '$fecha_em', $codigo[$cant], $cantidad[$cant], $precio[$cant], $sql_num_bol, $id_tipo_dcto, $desporprod[$cant], $id_bodega, $sultimo_id)";
		$sql_productos = mysql_query($psql,$enlace);
		mysql_query($sql_sal,$enlace);
		
		?>
		<tr> 
			<td width="10%"><div align="left"><font color="#333333" face="Arial, Helvetica, sans-serif">
			<? echo "$cantidad[$cant]";?>&nbsp;
			  </font></div></td>
			  
			<td width="20%"><div align="left"><font color="#333333" face="Arial, Helvetica, sans-serif">
				<? echo "$codigo[$cant]";?>&nbsp;
			</font></div></td>
			
			<td width="45%"><div align="left"><font color="#333333" face="Arial, Helvetica, sans-serif">
				<? echo "$detalle[$cant]";?>&nbsp;
			</font></div></td>
			
			<td width="10%"><div align="right"><font color="#333333" face="Arial, Helvetica, sans-serif">
				<? echo "$precio[$cant]";?>&nbsp;
			</font></div></td>
				
			<td width="15%"><div align="right"><font color="#333333" face="Arial, Helvetica, sans-serif">
				<? echo "$total[$cant]";?>&nbsp;
			</font></div></td>
		</tr>
		<? 
		}
	$cant=$cant+1;
	}
	?>
</table>
<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
	  	<td width="10%">&nbsp;</td>
		<td width="5%">&nbsp;</td>
		<td width="20%">&nbsp;</td>
		<td width="50%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">NETO</font></strong></div></td>
		<td width="15%"><div align="right"><font color="#333333" face="Arial, Helvetica, sans-serif">
        $
        <?=$sql_neto?>
        </font></div></td>
    </tr>
	<tr>
		<td width="10%">&nbsp;</td>
		<td width="5%">&nbsp;</td>
		<td width="20%">&nbsp;</td>
		<td width="50%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">IVA</font></strong></div></td>
		<td width="15%"><div align="right"><font color="#333333" face="Arial, Helvetica, sans-serif">
		  $
		  <?=$sql_iva?>
	    </font></div></td>
    </tr>
	<tr>
		<td width="10%">&nbsp;</td>
		<td width="5%">&nbsp;</td>
		<td width="20%">&nbsp;</td>
	  	<td width="50%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">TOTAL </font></strong></div></td>
	  	<td width="15%"><div align="right"><font color="#333333" face="Arial, Helvetica, sans-serif">
	    $<? if ($txttotal=='')$txttotal=0;?>
	    <?=$sql_total?>
      </font></div></td>
    </tr>
</table>
	<script>
	alert("Venta guardada con exito");
	window.top.open('','_parent','');window.top.close();
</script>
		
		<?
		
	}
	else {
		?>
<script>
	alert ("El numero de documento ingresado ya existe en el sistema");
	window.opener.document.getElementById("txtguardado").value = 0;
	window.top.open('','_parent','');window.top.close();
</script>

		<?
		}
		?>